<?php

namespace DigitalPoint\Cloudflare\XF\Entity;

class AttachmentData extends XFCP_AttachmentData
{
	public function isDataAvailable()
	{
		if (\XF::app()->options()->cloudflareAttachmentDataError)
		{
			return (bool)$this->getAbstractedDataPath();
		}

		return parent::isDataAvailable();
	}
}

// ******************** FOR IDE AUTO COMPLETE ********************
if (false)
{
	class XFCP_AttachmentData extends \XF\Entity\AttachmentData {}
}