<?php

namespace DigitalPoint\Cloudflare\XF\Http;

use XF\App;

class Metadata extends XFCP_Metadata
{
	public function __construct(App $app, $body, array $headers, $requestedFrom = null)
	{
		if (substr($requestedFrom, 0, 21) === 'https://xf-url-proxy.')
		{
			parse_str(parse_url($requestedFrom, PHP_URL_QUERY), $query);
			$requestedFrom = $query['u'];
		}
		parent::__construct($app, $body, $headers, $requestedFrom);
	}
}

// ******************** FOR IDE AUTO COMPLETE ********************
if (false)
{
	class XFCP_Metadata extends \XF\Http\Metadata {}
}