<?php

namespace DigitalPoint\Cloudflare\XF\Pub\Controller;

class Login extends XFCP_Login
{
	public function assertValidCsrfToken($token = null, $validityPeriod = null)
	{
		if (\XF::options()->cfPageCachingSeconds && \XF::app()->router()->routeToController(\XF::app()->request()->getRoutePath())->getAction() === 'keep-alive')
		{
			return;
		}
		parent::assertValidCsrfToken($token, $validityPeriod);
	}
}

// ******************** FOR IDE AUTO COMPLETE ********************
if (false)
{
	class XFCP_Login extends \XF\Pub\Controller\Login {}
}