<?php

namespace DigitalPoint\Cloudflare\XF\Service;

class ImageProxy extends XFCP_ImageProxy
{
	protected function fetchImageDataFromUrl($url)
	{
		if (\XF::options()->cfWorkersSubdomain && !empty(\XF::options()->cfProxy['image']))
		{
			$url = 'https://xf-image-proxy.' . urlencode(\XF::options()->cfWorkersSubdomain) . '.workers.dev/?i=' . urlencode($url);
		}
		return parent::fetchImageDataFromUrl($url);
	}
}

// ******************** FOR IDE AUTO COMPLETE ********************
if (false)
{
	class XFCP_ImageProxy extends \XF\Service\ImageProxy {}
}