<?php

namespace DigitalPoint\Cloudflare\Admin\View\Cloudflare\Backup;

use XF\Util\File;

class Download extends \XF\Mvc\View
{
	public function renderRaw()
	{
		$zipTargetFile = File::getTempFile();

		$zipArchive = new \ZipArchive();
		$zipArchive->open($zipTargetFile, \ZipArchive::OVERWRITE);
		$zipArchive->addFromString('backup.json', json_encode($this->params['file']));
		$zipArchive->close();

		$this->response
			->setDownloadFileName(parse_url(\XF::options()->boardUrl, PHP_URL_HOST) . '-' . \XF::$time .  '-cloudflareBackup.zip')
			->contentType('application/octet-stream', '');

		return $this->response->responseFile($zipTargetFile);
	}
}